org.springframework.data.config

## Interface ConfigurationUtils

    public interface ConfigurationUtils

Helper class to centralize common functionality that needs to be used in various places of the configuration implementation.

Since:
  2.0
Author:
  Oliver Gierke

### Method Summary

All Methods Static Methods Default Methods
`static String` `getRequiredBeanClassName(BeanDefinition beanDefinition)` Returns the bean class name of the given `BeanDefinition`.
`static ClassLoader` `getRequiredClassLoader(ResourceLoader resourceLoader)` Returns the `ClassLoader` used by the given `ResourceLoader`.
`static ClassLoader` `getRequiredClassLoader(XmlReaderContext context)` Returns the `ClassLoader` used by the given `XmlReaderContext`.
`static ResourceLoader` `getRequiredResourceLoader(XmlReaderContext context)` Returns the `ResourceLoader` from the given `XmlReaderContext`.

### Method Detail

#### getRequiredResourceLoader

    static ResourceLoader getRequiredResourceLoader(XmlReaderContext context)

Returns the `ResourceLoader` from the given `XmlReaderContext`.

Parameters:
  `context` - must not be null.
Returns:
Throws:
  `IllegalArgumentException` - if no `ResourceLoader` can be obtained from the `XmlReaderContext`.

#### getRequiredClassLoader

    static ClassLoader getRequiredClassLoader(XmlReaderContext context)

Returns the `ClassLoader` used by the given `XmlReaderContext`.

Parameters:
  `context` - must not be null.
Returns:
Throws:
  `IllegalArgumentException` - if no `ClassLoader` can be obtained from the given `XmlReaderContext`.

#### getRequiredClassLoader

    static ClassLoader getRequiredClassLoader(ResourceLoader resourceLoader)

Returns the `ClassLoader` used by the given `ResourceLoader`.

Parameters:
  `resourceLoader` - must not be null.
Returns:
Throws:
  `IllegalArgumentException` - if the given `ResourceLoader` does not expose a `ClassLoader`.

#### getRequiredBeanClassName

    static String getRequiredBeanClassName(BeanDefinition beanDefinition)

Returns the bean class name of the given `BeanDefinition`.

Parameters:
  `beanDefinition` - must not be null.
Returns:
Throws:
  `IllegalArgumentException` - if the given `BeanDefinition` does not contain a bean class name.